> ## Documentation Index
> Fetch the complete documentation index at: https://www.canva.dev/docs/apps/llms.txt
> Use this file to discover all available pages before exploring further.
# Get image-to-design import job
This API is currently provided as a preview. Be aware of the following:
* There might be unannounced breaking changes.
* Any breaking changes to preview APIs won't produce a new [API version](https://www.canva.dev/docs/apps/rest-apis/versions/).
* Public integrations that use preview APIs will not pass the review process, and can't be made available to all Canva users.
Gets the result of an image-to-design import job created using the [Create image-to-design import job API](https://www.canva.dev/docs/apps/rest-apis/reference/design-imports/create-image-to-design-import-job/).
You might need to make multiple requests to this endpoint until you get a `success` or `failed` status. For more information on the workflow for using asynchronous jobs, see [API requests and responses](https://www.canva.dev/docs/apps/rest-apis/requests-responses/#asynchronous-job-endpoints).
## HTTP method and URL path
GET https\://api.canva.com/rest/v1/image-to-design-imports/\{jobId}
This operation is rate limited to 120 requests per minute for each user of your app.
## Authentication and authorization
This endpoint requires a valid access token that acts on behalf of a user. For more information, see [Generate an access token](/docs/apps/rest-apis/reference/authentication/generate-access-token).
### Scopes
The access token must have all the following [scopes](/docs/apps/rest-apis/scopes) (permissions):
* `design:content:write`
### Capabilities
The user must have at least one of the following [capabilities](/docs/apps/rest-apis/capabilities/):
* `image_to_design_imports`
## Header parameters
Provides credentials to authenticate the request, in the form of a `Bearer` token.
For example: `Authorization: Bearer {token}`
## Path parameters
The ID of the image-to-design import job.
## Example request
Examples for using the `/v1/image-to-design-imports/{jobId}` endpoint:
```sh
curl --request GET 'https://api.canva.com/rest/v1/image-to-design-imports/{jobId}' \
--header 'Authorization: Bearer {token}'
```
```js
const fetch = require("node-fetch");
fetch("https://api.canva.com/rest/v1/image-to-design-imports/{jobId}", {
method: "GET",
headers: {
"Authorization": "Bearer {token}",
},
})
.then(async (response) => {
const data = await response.json();
console.log(data);
})
.catch(err => console.error(err));
```
```java
import java.io.IOException;
import java.net.URI;
import java.net.http.*;
public class ApiExample {
public static void main(String[] args) throws IOException, InterruptedException {
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://api.canva.com/rest/v1/image-to-design-imports/{jobId}"))
.header("Authorization", "Bearer {token}")
.method("GET", HttpRequest.BodyPublishers.noBody())
.build();
HttpResponse response = HttpClient.newHttpClient().send(
request,
HttpResponse.BodyHandlers.ofString()
);
System.out.println(response.body());
}
}
```
```py
import requests
headers = {
"Authorization": "Bearer {token}"
}
response = requests.get("https://api.canva.com/rest/v1/image-to-design-imports/{jobId}",
headers=headers
)
print(response.json())
```
```csharp
using System.Net.Http;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Get,
RequestUri = new Uri("https://api.canva.com/rest/v1/image-to-design-imports/{jobId}"),
Headers =
{
{ "Authorization", "Bearer {token}" },
},
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
};
```
```go
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
url := "https://api.canva.com/rest/v1/image-to-design-imports/{jobId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer {token}")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
```
```php
$curl = curl_init();
curl_setopt_array($curl, array(
CURLOPT_URL => "https://api.canva.com/rest/v1/image-to-design-imports/{jobId}",
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => array(
'Authorization: Bearer {token}',
),
));
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if (empty($err)) {
echo $response;
} else {
echo "Error: " . $err;
}
```
```ruby
require 'net/http'
require 'uri'
url = URI('https://api.canva.com/rest/v1/image-to-design-imports/{jobId}')
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request['Authorization'] = 'Bearer {token}'
response = http.request(request)
puts response.read_body
```
## Success response
If successful, the endpoint returns a `200` response with a JSON body with the following parameters:
The status and result of an image-to-design import job.
Properties of job>} defaultExpanded={true}>
The ID of the image-to-design import job.
The status of the design import job.
**Available values:**
* `failed`
* `in_progress`
* `success`
Properties of result>}>
Basic details about the design, such as the design's ID, title, and URL.
Properties of design>}>
The design ID.
A temporary set of URLs for viewing or editing the design.
Properties of urls>}>
A temporary editing URL for the design. This URL is only accessible to the user that made the API request, and is designed to support [return navigation](https://www.canva.dev/docs/apps/rest-apis/return-navigation-guide/) workflows.
NOTE: This is not a permanent URL, it is only valid for 30 days.
A temporary viewing URL for the design. This URL is only accessible to the user that made the API request, and is designed to support [return navigation](https://www.canva.dev/docs/apps/rest-apis/return-navigation-guide/) workflows.
NOTE: This is not a permanent URL, it is only valid for 30 days.
When the design was created in Canva, as a Unix timestamp (in seconds since the Unix
Epoch).
When the design was last updated in Canva, as a Unix timestamp (in seconds since the
Unix Epoch).
The design title.
URL of the design.
A thumbnail image representing the object.
Properties of thumbnail>}>
The width of the thumbnail image in pixels.
The height of the thumbnail image in pixels.
A URL for retrieving the thumbnail image.
This URL expires after 15 minutes. This URL includes a query string
that's required for retrieving the thumbnail.
The total number of pages in the design. Some design types don't have pages (for example, Canva docs).
If the import job fails, this object provides details about the error.
Properties of error>}>
A short string about why the import failed. This field can be used to handle errors
programmatically.
**Available values:**
* `bad_input`
* `moderation_error`
* `quota_exceeded`
* `design_creation_throttled`
* `internal_error`
A human-readable description of what went wrong.
## Example responses
### In progress image-to-design import job
```json
{
"job": {
"id": "f81b26fd-a33d-4c2d-9e8c-4a7aca798b17",
"status": "in_progress"
}
}
```
### Successfully completed image-to-design import job
```json
{
"job": {
"id": "f81b26fd-a33d-4c2d-9e8c-4a7aca798b17",
"status": "success",
"result": {
"design": {
"id": "DAFVztcvd9z",
"title": "My Image Design",
"thumbnail": {
"width": 800,
"height": 600,
"url": "https://document-export.canva.com/..."
},
"urls": {
"edit_url": "https://www.canva.com/design/DAFVztcvd9z/edit",
"view_url": "https://www.canva.com/design/DAFVztcvd9z/view"
},
"created_at": 1726198998,
"updated_at": 1726199000
}
}
}
}
```
### Failed image-to-design import job
```json
{
"job": {
"id": "f81b26fd-a33d-4c2d-9e8c-4a7aca798b17",
"status": "failed",
"error": {
"code": "internal_error",
"message": "An unexpected error occurred while converting the image. Please try again."
}
}
}
```
## Error responses
### 400 Bad Request
A short string indicating what failed. This field can be used to handle errors programmatically. For a complete list of error codes, see [Error responses](/docs/apps/rest-apis/error-responses/).
A human-readable description of what went wrong.
#### Example error response
##### The request field does not match expected format
```json
{
"code": "invalid_request",
"message": "{fieldValue} does not match expected format for {fieldName}"
}
```
### 403 Forbidden
A short string indicating what failed. This field can be used to handle errors programmatically. For a complete list of error codes, see [Error responses](/docs/apps/rest-apis/error-responses/).
A human-readable description of what went wrong.
#### Example error response
##### Calling user was not the creator of the job
```json
{
"code": "permission_denied",
"message": "Calling user was not the creator of the job"
}
```
### 404 Not Found
A short string indicating what failed. This field can be used to handle errors programmatically. For a complete list of error codes, see [Error responses](/docs/apps/rest-apis/error-responses/).
A human-readable description of what went wrong.
#### Example error response
##### Job ID not found
```json
{
"code": "not_found",
"message": "Job ID {jobId} not found"
}
```
### 429 Too Many Requests
A short string indicating what failed. This field can be used to handle errors programmatically. For a complete list of error codes, see [Error responses](/docs/apps/rest-apis/error-responses/).
A human-readable description of what went wrong.
#### Example error response
##### Design creation throttling threshold reached
```json
{
"code": "too_many_requests",
"message": "You have reached the design creation throttling threshold."
}
```